wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifiscan_result_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8index
uint8_t | s8rssi
uint8_t | u8_auth_type
uint8_t | u8ch
uint8_t | au8bssid [6]
uint8_t | au8ssid [M2M_MAX_SSID_LEN]
uint8_t | _pad8_

## Field Documentation

## ◆ _pad8_

uint8_t _pad8_

padding bytes for forcing 4-byte alignment

## ◆ au8bssid

uint8_t au8bssid[6]

BSSID of the AP.

## ◆ au8ssid

uint8_t au8ssid[M2M_MAX_SSID_LEN]

AP SSID.

## ◆ s8rssi

uint8_t s8rssi

ap signal strength.

## ◆ u8_auth_type

uint8_t u8_auth_type

ap authentication type.

## ◆ u8ch

uint8_t u8ch

ap rf channel.

## ◆ u8index

uint8_t u8index

ap index in the scan result list.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h